Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7354 - diskdruid can't deal with multiple free areas
Summary: diskdruid can't deal with multiple free areas
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-26 18:22 UTC by mcr
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 16:01:10 UTC


Attachments (Terms of Use)

Description mcr 1999-11-26 18:22:30 UTC
I had a disk that was partitioned like this:
	cyl begin	cyl end		type
	1		651		/dos
	654		2000		NetBSD (0xA9)

I have free cylinders from 2000-8000 and by a typo, from 651 to
653. I try and make a 1024M / for Linux, (I have 3Gb free) and
Diskdruid claims that I have no free disk space. Why? Because it
only thinks that 651-653 is free.

I fixed this in another window by expanding /dos to 653 (no file
system in it yet), with fdisk, but there is no way to convince
the install to reload the partition table from the raw disk, so
I have to reboot.

It would also be nice if "fdisk" could print the entire name of the
partition type in "L". Also if it knew about 0xA8 FreeBSD, 0xA9 NetBSD.

Comment 1 Michael Fulbright 2000-02-04 16:01:59 UTC
Unless you have a /boot partition, the / partition must reside under
cylinder 1024 due to BIOS limitations (nothing to do with Linux).

So disk druid was trying to put it in the only valid free chunk available.

In your case I would make a /boot of about 30 megs under the 1024 cylinder
limit, and then you can put / anywhere.


Note You need to log in before you can comment on or make changes to this bug.